function [mesh, GMSH_OUT] = CreateMesh(ref, iprint)

  name = [tmpnam ".geo"];
  fid = fopen (name, "w");

  % POINTS
  % Use a different ref value at particular points
  % if you want to locally refine mesh
  string = sprintf("Point(1) = {4, 2, 0, %f};\n", ref);
  fputs (fid, string);

  string = sprintf("Point(2) = {8, 2, 0, %f};\n", ref);
  fputs (fid, string);

  string = sprintf("Point(3) = {4, 6, 0, %f};\n", ref);
  fputs (fid, string);

  string = sprintf("Point(4) = {8, 8, 0, %f};\n", ref);
  fputs (fid, string);

  string = sprintf("Point(5) = {12, 4, 0, %f};\n", ref);
  fputs (fid, string);

  % LINES joining the POINTS
  fputs (fid, "Line(1) = {1, 2};\n");
  fputs (fid, "Line(2) = {2, 5};\n");
  fputs (fid, "Line(3) = {5, 4};\n");
  fputs (fid, "Line(4) = {4, 3};\n");
  fputs (fid, "Line(5) = {3, 1};\n");

  % SURFACEs grouping the LINES
  fputs (fid, "Line Loop(6) = {1, 2, 3, 4, 5};\n");
  fputs (fid, "Plane Surface(7) = {6};\n");
  fclose (fid);
  
  % MESH and glue all SURFACES
  [mesh GMSH_OUT] = msh2m_gmsh (canonicalize_file_name (name)(1:end-4), "clscale", "1.0");

  if(iprint == 1) 
    trimesh (mesh.t(1:3,:)', mesh.p(1,:)', mesh.p(2,:)',...
    "linewidth",2);
  end

  % Delete auxiliary files
  unlink (canonicalize_file_name (name));

end
