function [mesh, GMSH_OUT] = CreateMeshexa5(ref, iprint)

  name = [tmpnam ".geo"];
  fid = fopen (name, "w");

  % POINTS
  % Use a different ref value at particular points
  % if you want to locally refine mesh
  string = sprintf("Point(1) = {0, 0, 0, %f};\n", ref*0.1);
  fputs (fid, string);

  string = sprintf("Point(2) = {0, 1, 0, %f};\n", ref*0.1);
  fputs (fid, string);

  string = sprintf("Point(3) = {-0.707, 0.707, 0, %f};\n", ref);
  fputs (fid, string);

  string = sprintf("Point(4) = {-1, 0, 0, %f};\n", ref);
  fputs (fid, string);

  string = sprintf("Point(5) = {-0.707, -0.707, 0, %f};\n", ref);
  fputs (fid, string);

  string = sprintf("Point(6) = {0, -1, 0, %f};\n", ref);
  fputs (fid, string);

  string = sprintf("Point(7) = {0.707, -0.707, 0, %f};\n", ref);
  fputs (fid, string);

  string = sprintf("Point(8) = {1, 0, 0, %f};\n", ref);
  fputs (fid, string);

  % LINES joining the POINTS
  fputs (fid, "Line(1) = {1, 2};\n");
  fputs (fid, "BSpline(2) = {2, 3, 4, 5, 6, 7, 8};\n");
  fputs (fid, "Line(3) = {8, 1};\n");

  % SURFACEs grouping the LINES
  fputs (fid, "Line Loop(4) = {1, 2, 3};\n");
  fputs (fid, "Plane Surface(5) = {4};\n");
  fclose (fid);
  
  % MESH and glue all SURFACES
  [mesh GMSH_OUT] = msh2m_gmsh (canonicalize_file_name (name)(1:end-4), "clscale", "1.0");

  if(iprint == 1) 
    trimesh (mesh.t(1:3,:)', mesh.p(1,:)', mesh.p(2,:)',...
    "linewidth",2);
  end

  % Delete auxiliary files
  unlink (canonicalize_file_name (name));

end
